package com.iohao.mmo.person.entity;

import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;

import java.util.List;

/**
 * @author 渔民小镇
 * @date 2023-07-26
 */
@Slf4j
@SpringBootTest
public class PersonEntityTest {
    @Resource
    MongoTemplate mongoTemplate;


    @Test
    void test1() {

        PersonBasicPropertyEntity person = new PersonBasicPropertyEntity();
        person.setAnger(1);

//        mongoTemplate.save(person);


        Criteria criteria = Criteria.where("anger").is(1);
        Query query = new Query(criteria);

        List<PersonBasicPropertyEntity> entities = mongoTemplate.find(query, PersonBasicPropertyEntity.class);

        log.info("students : {}", entities.size());
        for (PersonBasicPropertyEntity person1 : entities) {
            System.out.println(person1);
        }
    }
}